CREATE TABLE trips (_id INTEGER PRIMARY KEY AUTOINCREMENT, ext_trip_id TEXT, start_date DOUBLE, name TEXT, distance DOUBLE DEFAULT 0, elapsed_time DOUBLE DEFAULT 0, should_sync BOOLEAN DEFAULT 0, is_synced BOOLEAN DEFAULT 0, deleted BOOLEAN DEFAULT 0);
CREATE TABLE points (_id INTEGER PRIMARY KEY AUTOINCREMENT, ext_point_id TEXT, trip_id INTEGER, has_been_sent BOOLEAN, latitude DOUBLE, longitude DOUBLE, altitude DOUBLE, time_at_point INTEGER, time_interval_at_point DOUBLE, speed_from_last_point DOUBLE, distance_from_last_point DOUBLE, point_type INTEGER, accuracy DOUBLE);
CREATE TABLE training_activities (activity_id INTEGER PRIMARY KEY AUTOINCREMENT, name TEXT, repetition INTEGER DEFAULT 0, warmup BOOLEAN, cooldown BOOLEAN);
ALTER TABLE trips ADD COLUMN training_activity_id INTEGER;
ALTER TABLE trips ADD COLUMN training_activity_interval_index INTEGER;
ALTER TABLE trips ADD COLUMN training_activity_interval_value INTEGER;
ALTER TABLE trips ADD COLUMN training_activity_interval_start_value INTEGER;
ALTER TABLE trips ADD COLUMN training_activity_repetition INTEGER;
INSERT INTO "training_activities" VALUES(1,'20 Minute Easy Workout',7,1,0);
INSERT INTO "training_activities" VALUES(2,'2.25 Mile Workout',0,1,0);
INSERT INTO "training_activities" VALUES(3,'2 Miles with Rest',0,1,0);
CREATE TABLE training_activity_intervals(interval_id INTEGER PRIMARY KEY AUTOINCREMENT, activity_id INTEGER, speed INTEGER, value INTEGER, is_duration BOOLEAN, is_metric BOOLEAN);
INSERT INTO "training_activity_intervals" VALUES(11,3,1,1609.34399414063,0,0);
INSERT INTO "training_activity_intervals" VALUES(12,3,0,402.335998535156,0,0);
INSERT INTO "training_activity_intervals" VALUES(13,3,1,1609.34399414063,0,0);
INSERT INTO "training_activity_intervals" VALUES(14,2,1,804.671997070313,0,0);
INSERT INTO "training_activity_intervals" VALUES(15,2,0,402.335998535156,0,0);
INSERT INTO "training_activity_intervals" VALUES(16,2,2,1207.00805664063,0,0);
INSERT INTO "training_activity_intervals" VALUES(17,2,0,402.335998535156,0,0);
INSERT INTO "training_activity_intervals" VALUES(18,2,1,804.671997070313,0,0);
INSERT INTO "training_activity_intervals" VALUES(19,1,1,60,1,0);
INSERT INTO "training_activity_intervals" VALUES(20,1,0,90,1,0);
ALTER TABLE trips ADD COLUMN manual BOOLEAN DEFAULT 0;
ALTER TABLE trips ADD COLUMN training_activity_interval_start_distance DOUBLE DEFAULT 0.0;
ALTER TABLE points ADD COLUMN distance_at_point DOUBLE DEFAULT 0.0;
ALTER TABLE trips ADD COLUMN gym_equipment BOOLEAN DEFAULT 0; 
ALTER TABLE trips ADD COLUMN activity_type TEXT DEFAULT NULL;
ALTER TABLE trips ADD COLUMN calories DOUBLE DEFAULT 0;
CREATE TABLE status_updates (status_id INTEGER PRIMARY KEY AUTOINCREMENT, trip_id INTEGER, note TEXT, hasImage BOOLEAN DEFAULT 0, sent BOOLEAN DEFAULT 0, latitude DOUBLE, longitude DOUBLE, timestamp DOUBLE );
CREATE TABLE trip_recorded_intervals (trip_recorded_interval_id INTEGER PRIMARY KEY AUTOINCREMENT, training_activity_interval_id INTEGER, trip_id INTEGER, starting_point_id INTEGER);
ALTER TABLE points ADD COLUMN split_type INTEGER DEFAULT 0;
ALTER TABLE trips ADD COLUMN heart_rate DOUBLE DEFAULT 0;												 
												 