DROP INDEX "training_class_index";
DROP TABLE "training_class";

CREATE TABLE training_class (_id INTEGER PRIMARY KEY, name TEXT, description TEXT, weeks INTEGER, days INTEGER, sponsor_id INTEGER, goal INTEGER);

DROP TRIGGER delete_orphaned_training_classes;
DROP INDEX scheduled_class_index;
DROP TABLE scheduled_class;

CREATE TABLE scheduled_class (_id INTEGER PRIMARY KEY, training_class_id INTEGER, start_date INTEGER, sync_timestamp_web INTEGER, completion_type INTEGER, completion_date INTEGER, signed_up INTEGER);

CREATE TRIGGER delete_orphaned_training_classes AFTER DELETE ON scheduled_class BEGIN DELETE FROM training_class WHERE _id NOT IN (SELECT training_class_id FROM scheduled_class WHERE _id <> OLD._id); END;