CREATE TABLE training_session (_id INTEGER PRIMARY KEY, training_class_id INTEGER, description TEXT, nutrition_info TEXT, day_offset INTEGER, session_number INTEGER, complete INTEGER, customized INTEGER, training_workout_id INTEGER);
CREATE INDEX training_session_index ON training_session(_id);

CREATE TABLE training_class (_id INTEGER PRIMARY KEY, name TEXT, description TEXT);
CREATE INDEX training_class_index ON training_class(_id);

CREATE TABLE scheduled_class (_id INTEGER PRIMARY KEY, training_class_id INTEGER, start_date TEXT, sync_timestamp_web TEXT);
CREATE INDEX scheduled_class_index ON scheduled_class(_id);

CREATE TRIGGER delete_orphaned_training_classes AFTER DELETE ON scheduled_class BEGIN DELETE FROM training_class WHERE _id NOT IN (SELECT training_class_id FROM scheduled_class WHERE _id <> OLD._id); END;
CREATE TRIGGER delete_orphaned_training_sessions AFTER DELETE ON training_class BEGIN DELETE FROM training_session WHERE _id NOT IN (SELECT training_class_id FROM training_session WHERE training_class_id <> OLD._id); END;
CREATE TRIGGER delete_training_workouts_for_training_session AFTER DELETE ON training_session BEGIN DELETE FROM trainingworkout WHERE _id = OLD.training_workout_id; END;