ALTER TABLE challenges ADD COLUMN native_video_url TEXT DEFAULT NULL;
ALTER TABLE rx_workout ADD COLUMN scheduled_time INTEGER;
ALTER TABLE rx_workout ADD COLUMN time_is_set BOOLEAN;

ALTER TABLE rx_workout ADD COLUMN last_update_time LONG;
CREATE INDEX rxWorkoutLastUpdateTimeIndex ON rx_workout(last_update_time);

CREATE TABLE scheduled_notification ( scheduled_notification_id TEXT, created_timestamp LONG, notification_type INT, scheduled_timestamp LONG, last_modified_timestamp LONG, time_zone_offset LONG, generating_object_id TEXT);

CREATE INDEX scheduled_notification_uuid_index ON scheduled_notification(scheduled_notification_id);
CREATE INDEX scheduled_notification_generating_uuid_index ON scheduled_notification(generating_object_id);
CREATE INDEX scheduled_notification_last_modified_index ON scheduled_notification(last_modified_timestamp);

CREATE TABLE daily_forecast ( day INTEGER, loc_latitude DOUBLE, loc_longitude DOUBLE, weather_icon STRING, sunrise_time INTEGER, sunset_time INTEGER, precip_prob DOUBLE, min_temp DOUBLE, max_temp DOUBLE, apparent_min_temp DOUBLE, apparent_max_temp DOUBLE, dew_point DOUBLE, humidity DOUBLE, last_update_time INTEGER);

CREATE INDEX daily_forecast_day_index ON daily_forecast(day);
CREATE INDEX daily_forecast_loc_latitude_index ON daily_forecast(loc_latitude);
CREATE INDEX daily_forecast_loc_longitude_index ON daily_forecast(loc_longitude);
CREATE INDEX daily_forecast_last_update_time_index ON daily_forecast(last_update_time);