CREATE TEMPORARY TABLE rx_workout_temp ( workout_id TEXT, description TEXT, rx_workout_number INT, trip_uuid TEXT, workout_name TEXT, workout_options TEXT, workout_intervals TEXT, workout_repetitions TEXT, attempted_trip_uuid TEXT, workout_type INTEGER, scheduled_time INTEGER, time_is_set BOOLEAN, last_update_time LONG, alg_specific_json TEXT );
INSERT INTO rx_workout_temp SELECT workout_id, description, rx_workout_number, trip_uuid, workout_name, workout_options, workout_intervals, workout_repetitions, attempted_trip_uuid, workout_type, scheduled_time, time_is_set, last_update_time, '{' || CASE WHEN (workout_session_id is not null) THEN ('"trainingSessionId":' || workout_session_id || ',') ELSE '' END || CASE WHEN (day_offset is not null) THEN ('"dayOffset":' || day_offset || ',') ELSE '' END || CASE WHEN (session_number is not null) THEN ('"sessionNum":' || session_number || ',') ELSE '' END || CASE WHEN (customized is not null) THEN ('"isCustomized":' || customized || ',') ELSE '' END || '}' as alg_specific_json FROM rx_workout;

UPDATE rx_workout_temp SET alg_specific_json = CASE WHEN (SUBSTR(alg_specific_json, LENGTH(alg_specific_json) - 1, 2) == ',}') THEN SUBSTR(alg_specific_json, 1, LENGTH(alg_specific_json) - 2) || '}' ELSE alg_specific_json END;

DROP TABLE rx_workout;

CREATE TABLE rx_workout ( workout_id TEXT, description TEXT, rx_workout_number INT, trip_uuid TEXT, workout_name TEXT, workout_options TEXT, workout_intervals TEXT, workout_repetitions TEXT, attempted_trip_uuid TEXT, workout_type INTEGER, scheduled_time INTEGER, time_is_set BOOLEAN, last_update_time LONG, alg_specific_json TEXT );
INSERT INTO rx_workout SELECT workout_id, description, rx_workout_number, trip_uuid, workout_name, workout_options, workout_intervals, workout_repetitions, attempted_trip_uuid, workout_type, scheduled_time, time_is_set, last_update_time, alg_specific_json FROM rx_workout_temp;

DROP TABLE rx_workout_temp;

CREATE INDEX rx_workout_uuid_index ON rx_workout(workout_id);
CREATE INDEX rx_workout_number_index ON rx_workout(rx_workout_number);
CREATE INDEX rx_workout_trip_uuid_index ON rx_workout(trip_uuid);
CREATE INDEX rx_workout_attempted_trip_uuid_index ON rx_workout(attempted_trip_uuid);
CREATE INDEX rxWorkoutLastUpdateTimeIndex ON rx_workout(last_update_time);