ALTER TABLE trips ADD COLUMN virtualEventUUID TEXT;
ALTER TABLE trips ADD COLUMN virtualRaceUUID TEXT;
ALTER TABLE trips ADD COLUMN adjustedRaceTime DOUBLE;

CREATE TABLE virtual_event (virtualEventUUID TEXT NOT NULL PRIMARY KEY, eventName TEXT NOT NULL, subEventName TEXT NOT NULL, logo TEXT NOT NULL, status TEXT NOT NULL, primaryColor TEXT NOT NULL, lastUpdated REAL NOT NULL);

CREATE TABLE virtual_race (virtualRaceUUID TEXT NOT NULL, virtualEventUUID TEXT NOT NULL, name TEXT NOT NULL, distanceMeters REAL NOT NULL, startDate INTEGER, endDate INTEGER, lastUpdated REAL NOT NULL, PRIMARY KEY (virtualRaceUUID, virtualEventUUID));

CREATE INDEX virtual_race_virtual_event_uuid ON virtual_race (virtualEventUUID);

CREATE INDEX virtual_race_start_date ON virtual_race (startDate);

CREATE INDEX virtual_race_end_date ON virtual_race (endDate);

CREATE INDEX virtual_event_status ON virtual_event (status);

CREATE INDEX trip_virtual_event_uuid ON trips (virtualEventUUID);