CREATE TABLE virtual_race_segment(segmentUUID TEXT NOT NULL, virtualEventUUID TEXT NOT NULL, virtualRaceUUID TEXT NOT NULL, firstName TEXT NULL, lastName TEXT NULL, type TEXT NOT NULL, status TEXT NOT NULL, position INTEGER NOT NULL, distanceMeters REAL NOT NULL, userId INTEGER NULL, tripUUID TEXT NULL, lastUpdated REAL NOT NULL, PRIMARY KEY (segmentUUID, virtualRaceUUID, virtualEventUUID));

CREATE INDEX virtual_race_segment_virtual_event_uuid ON virtual_race_segment (virtualEventUUID);
CREATE INDEX virtual_race_segment_virtual_race_uuid ON virtual_race_segment (virtualRaceUUID);
CREATE INDEX virtual_race_segment_position ON virtual_race_segment (position);

CREATE TABLE available_virtual_event(virtualEventUUID TEXT NOT NULL PRIMARY KEY, eventName TEXT NOT NULL, logo TEXT NOT NULL, primaryColor TEXT NOT NULL, registrationUrl TEXT NOT NULL, registrationStartTime REAL NULL, registrationEndTime REAL NULL);

DROP TABLE virtual_event;

CREATE TABLE virtual_event (virtualEventUUID TEXT NOT NULL PRIMARY KEY, externalEventUUID TEXT NOT NULL, eventName TEXT NOT NULL, subEventName TEXT NOT NULL, logo TEXT NOT NULL, status TEXT NOT NULL, primaryColor TEXT NOT NULL, registrationUrl TEXT DEFAULT NULL, segmentUUID TEXT DEFAULT NULL, teamName TEXT DEFAULT NULL, lastUpdated REAL NOT NULL, completionDate REAL DEFAULT NULL);

CREATE INDEX virtual_event_status_idx ON virtual_event (status);
CREATE INDEX virtual_event_virtual_event_id_idx ON virtual_event (externalEventUUID);

ALTER TABLE virtual_race ADD COLUMN resultsUrl TEXT DEFAULT NULL;