DROP TABLE IF EXISTS virtual_event;
DROP TABLE IF EXISTS registered_event;
CREATE TABLE registered_event(registeredEventUUID TEXT NOT NULL PRIMARY KEY, externalEventUUID TEXT NOT NULL, eventName TEXT NOT NULL, subEventName TEXT NOT NULL, logo TEXT NOT NULL, status TEXT NOT NULL, primaryColor TEXT NOT NULL, registrationUrl TEXT DEFAULT NULL, segmentUUID TEXT DEFAULT NULL, teamName TEXT DEFAULT NULL, lastUpdated REAL NOT NULL, completionDate REAL DEFAULT NULL, manageTeamUrl TEXT DEFAULT NULL, joinTeamUrl TEXT DEFAULT NULL);
CREATE INDEX registered_event_status_idx ON registered_event(status);
CREATE INDEX registered_event_registered_event_id_idx ON registered_event(externalEventUUID);

DROP TABLE IF EXISTS virtual_race_segment;
CREATE TABLE virtual_race_segment(segmentUUID TEXT NOT NULL, eventUUID TEXT NOT NULL, raceUUID TEXT NOT NULL, firstName TEXT NULL, lastName TEXT NULL, type TEXT NOT NULL, status TEXT NOT NULL, position INTEGER NOT NULL, distanceMeters REAL NOT NULL, userId INTEGER NULL, tripUUID TEXT NULL, lastUpdated REAL NOT NULL, isTeamCaptain INT DEFAULT 0, PRIMARY KEY (segmentUUID, raceUUID, eventUUID));
CREATE INDEX virtual_race_segment_event_uuid ON virtual_race_segment (eventUUID);
CREATE INDEX virtual_race_segment_race_uuid ON virtual_race_segment (raceUUID);
CREATE INDEX virtual_race_segment_position ON virtual_race_segment (position);

DROP TABLE IF EXISTS virtual_race;
CREATE TABLE virtual_race(raceUUID TEXT NOT NULL, eventUUID TEXT NOT NULL, name TEXT NOT NULL, distanceMeters REAL NOT NULL, startDate INTEGER, endDate INTEGER, lastUpdated REAL NOT NULL, resultsUrl TEXT DEFAULT NULL, audioCuesAvailable INTEGER DEFAULT 0, audioCueLastUpdatedEpoch REAL DEFAULT NULL, audioCuesLocales TEXT DEFAULT NULL, PRIMARY KEY (raceUUID,eventUUID));
CREATE INDEX virtual_race_event_uuid ON virtual_race (eventUUID);
CREATE INDEX virtual_race_start_date ON virtual_race (startDate);
CREATE INDEX virtual_race_end_date ON virtual_race (endDate);

DROP TABLE IF EXISTS available_virtual_event;
DROP TABLE IF EXISTS available_event_registration;
CREATE TABLE available_event_registration(availableEventRegistrationUUID TEXT NOT NULL PRIMARY KEY, eventName TEXT NOT NULL, logo TEXT NOT NULL, primaryColor TEXT NOT NULL, registrationUrl TEXT NOT NULL, registrationStartTime REAL NULL, registrationEndTime REAL NULL, eventDetailsUrl TEXT NULL, eventStartDate REAL NULL, eventEndDate REAL NULL, eventType INTEGER DEFAULT 0, isFeatured BLOB, location TEXT NULL, country TEXT NULL, tags TEXT NULL);
