DROP TABLE IF EXISTS virtual_event;
DROP TABLE IF EXISTS registered_event;
CREATE TABLE registered_event(registeredEventUUID TEXT NOT NULL PRIMARY KEY, externalEventUUID TEXT NOT NULL, eventName TEXT NOT NULL, subEventName TEXT NOT NULL, logo TEXT NULL, status TEXT NOT NULL, primaryColor TEXT NOT NULL, registrationUrl TEXT DEFAULT NULL, segmentUUID TEXT DEFAULT NULL, teamName TEXT DEFAULT NULL, lastUpdated REAL NOT NULL, completionDate REAL DEFAULT NULL, manageTeamUrl TEXT DEFAULT NULL, joinTeamUrl TEXT DEFAULT NULL, eventType INTEGER DEFAULT 0, participantUrl TEXT DEFAULT NULL, eventDetailsUrl TEXT DEFAULT NULL);
CREATE INDEX registered_event_status_idx ON registered_event(status);
CREATE INDEX registered_event_registered_event_id_idx ON registered_event(externalEventUUID);

DROP TABLE IF EXISTS available_virtual_event;
DROP TABLE IF EXISTS available_event_registration;
CREATE TABLE available_event_registration(availableEventRegistrationUUID TEXT NOT NULL PRIMARY KEY, eventName TEXT NOT NULL, logo TEXT NULL, primaryColor TEXT NOT NULL, registrationUrl TEXT NOT NULL, registrationStartTime REAL NULL, registrationEndTime REAL NULL, eventDetailsUrl TEXT NULL, eventStartDate REAL NULL, eventEndDate REAL NULL, eventType INTEGER DEFAULT 0, isFeatured BLOB, location TEXT NULL, country TEXT NULL, tags TEXT NULL, province TEXT DEFAULT NULL, city TEXT DEFAULT NULL, searchTerms TEXT DEFAULT NULL);