DROP TABLE IF EXISTS virtual_race_segment;
CREATE TABLE virtual_race_segment(segmentUUID TEXT NOT NULL, eventUUID TEXT NOT NULL, raceUUID TEXT NOT NULL, fullName TEXT NULL, type TEXT NOT NULL, status TEXT NOT NULL, position INTEGER NOT NULL, distanceMeters REAL NOT NULL, userId INTEGER NULL, tripUUID TEXT NULL, lastUpdated REAL NOT NULL, isTeamCaptain INT DEFAULT 0, PRIMARY KEY (segmentUUID, raceUUID, eventUUID));
CREATE INDEX virtual_race_segment_event_uuid ON virtual_race_segment (eventUUID);
CREATE INDEX virtual_race_segment_race_uuid ON virtual_race_segment (raceUUID);
CREATE INDEX virtual_race_segment_position ON virtual_race_segment (position);

DROP TABLE IF EXISTS challenges;
CREATE TABLE challenges (challenge_id TEXT, challenge_short_url TEXT, endpoint TEXT, feed_item_image_url TEXT, name TEXT, phone_image_url TEXT, phone_banner_view_url TEXT, phone_list_view_url TEXT, short_name TEXT, sponsor TEXT, start_time TEXT, finish_time TEXT , auto_populate_activity_notes INTEGER NOT NULL DEFAULT 0, native_video_url TEXT DEFAULT NULL, challenge_type INTEGER NOT NULL DEFAULT 0, opt_in_deadline LONG, challenge_schedule_type INTEGER DEFAULT 0, duration INTEGER DEFAULT 0, post_activity_progress_url TEXT DEFAULT NULL, post_activity_completion_url TEXT DEFAULT NULL, user_count INTEGER DEFAULT 0, invitation_count INTEGER DEFAULT 0, owner_id TEXT DEFAULT NULL, creator_type INTEGER DEFAULT 0, disable_challenge_notif BOOLEAN DEFAULT 0, show_start_screen_interstitial INTEGER NOT NULL DEFAULT 0, start_screen_interstitial_shown INTEGER NOT NULL DEFAULT 0, feature_campaign INTEGER NOT NULL DEFAULT 0, duration_type INTEGER DEFAULT 0, training_workout_id INTEGER DEFAULT 0, show_global_5k_overlay BOOLEAN DEFAULT 0, show_reward BOOLEAN DEFAULT true, show_terms_and_conditions BOOLEAN DEFAULT true, show_more_details BOOLEAN DEFAULT true);
